Package ru.bitel.bgbilling.kernel.admin.web.server.bean

# Class WebContractSearchModuleBase

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.admin.web.server.bean.WebContractSearchModuleBase

All Implemented Interfaces:
  `WebContractSearchModule`

public abstract class WebContractSearchModuleBase extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements WebContractSearchModule

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `connection`
  `protected List<WebContractSearchParam>`
  `contractSearchParams`
  `protected WebContractSearchParam`
  `popupHintCount`
  `protected WebContractSearchParam`
  `searchByContractParamId`
  `protected WebContractSearchParam`
  `searchByCustomer`
  `protected WebContractSearchParam`
  `searchTextComment`
  `protected WebContractSearchParam`
  `searchTextPlaceHolder`
  `protected WebContractSearchParam`
  `title`
  `protected WebContractSearchParam`
  `useForAccessRestore`
  `protected WebContractSearchParam`
  `useForPayment`
  `protected WebContractSearchParam`
  `verifyByContractParameterEmailId`
  `protected WebContractSearchParam`
  `verifyByContractParameterPhoneId`
  `protected WebContractSearchParam`
  `verifyByCustomerEmail`
  `protected WebContractSearchParam`
  `verifyByCustomerFIO`
  `protected WebContractSearchParam`
  `verifyByCustomerPhone`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebContractSearchModuleBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IdTitle>`
  `doHintSearch(String searchText)`
  `List<WebContractSearchResult>`
  `doSearch(String searchText)`
  `List<WebContractSearchParam>`
  `getParameters()`
  `protected String`
  `getPopupHintCount()`
  `String`
  `getSearchTextComment()`
  `protected String`
  `getSearchTextCommentText()`
  `String`
  `getSearchTextPlaceHolder()`
  `protected String`
  `getSearchTextPlaceHolderText()`
  `String`
  `getTitle()`
  `protected String`
  `getTitleText()`
  `void`
  `init(Connection connection)`
  `boolean`
  `useForAccessRestore()`
  `boolean`
  `useForPayment()`
  `boolean`
  `useHintSerach()`
  `protected void`
  `verifyByContractParameterEmail(List<WebContractSearchResult> results, int paramId)`
  `protected void`
  `verifyByContractParameterPhone(List<WebContractSearchResult> results, int paramId)`
  `protected void`
  `verifyByCustomerEmail(List<WebContractSearchResult> results)`
  `protected void`
  `verifyByCustomerField(List<WebContractSearchResult> results, String fieldName, String verifyTitle)`
  `protected void`
  `verifyByCustomerPhone(List<WebContractSearchResult> results)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### connection

    protected Connection connection

  - ### title

    protected WebContractSearchParam title

  - ### useForAccessRestore

    protected WebContractSearchParam useForAccessRestore

  - ### useForPayment

    protected WebContractSearchParam useForPayment

  - ### searchTextComment

    protected WebContractSearchParam searchTextComment

  - ### searchTextPlaceHolder

    protected WebContractSearchParam searchTextPlaceHolder

  - ### searchByCustomer

    protected WebContractSearchParam searchByCustomer

  - ### searchByContractParamId

    protected WebContractSearchParam searchByContractParamId

  - ### popupHintCount

    protected WebContractSearchParam popupHintCount

  - ### verifyByCustomerFIO

    protected WebContractSearchParam verifyByCustomerFIO

  - ### verifyByCustomerEmail

    protected WebContractSearchParam verifyByCustomerEmail

  - ### verifyByCustomerPhone

    protected WebContractSearchParam verifyByCustomerPhone

  - ### verifyByContractParameterEmailId

    protected WebContractSearchParam verifyByContractParameterEmailId

  - ### verifyByContractParameterPhoneId

    protected WebContractSearchParam verifyByContractParameterPhoneId

  - ### contractSearchParams

    protected List<WebContractSearchParam> contractSearchParams

- ## Constructor Details

  - ### WebContractSearchModuleBase

    public WebContractSearchModuleBase()

- ## Method Details

  - ### init

    public void init(Connection connection)
    Specified by:
      `init` in interface `WebContractSearchModule`

  - ### doHintSearch

    public List<IdTitle> doHintSearch(String searchText) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `doHintSearch` in interface `WebContractSearchModule`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doSearch

    public List<WebContractSearchResult> doSearch(String searchText) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `doSearch` in interface `WebContractSearchModule`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### useHintSerach

    public boolean useHintSerach()
    Specified by:
      `useHintSerach` in interface `WebContractSearchModule`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `WebContractSearchModule`

  - ### useForAccessRestore

    public boolean useForAccessRestore()
    Specified by:
      `useForAccessRestore` in interface `WebContractSearchModule`

  - ### useForPayment

    public boolean useForPayment()
    Specified by:
      `useForPayment` in interface `WebContractSearchModule`

  - ### getParameters

    public List<WebContractSearchParam> getParameters()
    Specified by:
      `getParameters` in interface `WebContractSearchModule`

  - ### getSearchTextPlaceHolder

    public String getSearchTextPlaceHolder()
    Specified by:
      `getSearchTextPlaceHolder` in interface `WebContractSearchModule`

  - ### getSearchTextComment

    public String getSearchTextComment()
    Specified by:
      `getSearchTextComment` in interface `WebContractSearchModule`

  - ### getSearchTextPlaceHolderText

    protected String getSearchTextPlaceHolderText()

  - ### getSearchTextCommentText

    protected String getSearchTextCommentText()

  - ### getTitleText

    protected String getTitleText()

  - ### getPopupHintCount

    protected String getPopupHintCount()

  - ### verifyByContractParameterEmail

    protected void verifyByContractParameterEmail(List<WebContractSearchResult> results, int paramId)

  - ### verifyByContractParameterPhone

    protected void verifyByContractParameterPhone(List<WebContractSearchResult> results, int paramId)

  - ### verifyByCustomerEmail

    protected void verifyByCustomerEmail(List<WebContractSearchResult> results)

  - ### verifyByCustomerPhone

    protected void verifyByCustomerPhone(List<WebContractSearchResult> results)

  - ### verifyByCustomerField

    protected void verifyByCustomerField(List<WebContractSearchResult> results, String fieldName, String verifyTitle)